INTLTOOL-MERGE(8)

NAME
intltool-merge - merge translated strings into various types of file

SYNOPSIS
intltool-merge [option]... PO_DIRECTORY FILENAME OUTPUT_FILE

DESCRIPTION

Merge translated strings in po files in PO_DIRECTORY with the original application file FILENAME, and output the file OUTPUT_FILE containing both original and localized strings.

If FILENAME is an XML file, OUTPUT_FILE will contain repeated xml nodes, where each node contains one of the localized strings with "xml:lang" attribute.

OPTIONS

  Mode of operation

-b
--ba-style
    Merge files in bonobo-activation style, which is used for bonobo servers.

-d
--desktop-style
    Merge files in desktop style, which is similar to the Windows .ini file format.

-k
--keys-style
    Merge files in keys style, which is used for metadata.

-o
--oaf-style
    (OBSOLETE) Same as -b/--ba-style.

-r
--rfc822deb-style
    Merge files in RFC 822 style, which is usually used in Debian configuration files.

-x
--xml-style
    Merge files in standard XML style, both as attributes and as raw pcdata.

  Other options

-u
--utf8
    Convert all strings to UTF-8 before merging.

-p
--pass-through
    Use strings as is in .po files without conversion (STRONGLY unrecommended with -x).

-c
--cache
    (TBD)

-q
--quiet
    Be quiet while running.

-v
--version
    Show version information.

-h
--help
    Show usage and basic help information.

FILES

po/.intltool-merge-cache
    Cache file generated by intltool-merge, that contains all strings in all po files seperated by \01.

REPORTING BUGS
Report bugs to http://bugzilla.gnome.org (product name "intltool") or send email to xml-i18n-tools@gnome.org.

AUTHOR
Darin Adler <darin@bentspoon.com>
Kenneth Christiansen <kenneth@gnu.org>
Maciej Stachowiak <mjs@eazel.com>

SEE ALSO
iconv(1), intltoolize(8), intltool-prepare(8), intltool-extract(8), intltool-update(8)